Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.api.event.blog
Class BlogEvent

    java.lang.Object
      java.util.EventObject
          net.sourceforge.pebble.api.event.PebbleEvent
              net.sourceforge.pebble.api.event.blog.BlogEvent

All Implemented Interfaces:
  java.io.Serializable

    public class BlogEvent

extends PebbleEvent

Event to signify that a blog has been started/stopped.

Author:
  Simon Brown
See Also:
  Serialized Form

Field Summary
`static int` | `BLOG_STARTED` constant representing blog started type
`static int` | `BLOG_STOPPED` constant representing blog stopped type

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`BlogEvent(Blog blog, int type)` Creates a new instance with the specified source and type.

Method Summary
`Blog` | `getBlog()` Gets the blog that is the source of this event.

Methods inherited from class net.sourceforge.pebble.api.event.PebbleEvent
`getType, isVetoed, toString, veto`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BLOG_STARTED

    public static final int BLOG_STARTED

  constant representing blog started type

  See Also:
    Constant Field Values

### BLOG_STOPPED

    public static final int BLOG_STOPPED

  constant representing blog stopped type

  See Also:
    Constant Field Values

Constructor Detail

### BlogEvent

    public BlogEvent(Blog blog,
                     int type)

  Creates a new instance with the specified source and type.

  Parameters:
    `blog` - the blog that created this event
    `type` - the type of this event

Method Detail

### getBlog

    public Blog getBlog()

  Gets the blog that is the source of this event.

  Returns:
    a Blog instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.